For the complete documentation index, see llms.txt. This page is also available as Markdown.

Toggle maintenance mode

Enable or disable maintenance mode for the specified WordPress installation, based on the enabled flag.

Toggle maintenance mode

patch

Enable or disable maintenance mode for the specified WordPress installation, based on the enabled flag.

Provide the WordPress installation (software) identifier in the path. It can be obtained from GET /api/hosting/v1/wordpress/installations (the id field).

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
usernamestringRequiredExample: u123456789
softwarestringRequired

WordPress installation (software) identifier

Example: 1232456789Pattern: ^[0-9]+$
Body
enabledbooleanRequired

Enable (true) or disable (false) maintenance mode for the WordPress installation.

Example: true
Responses
200

Success empty response

application/json
messagestringOptionalExample: Request accepted
patch/api/hosting/v1/accounts/{username}/wordpress/{software}/maintenance/toggle
PATCH /api/hosting/v1/accounts/{username}/wordpress/{software}/maintenance/toggle HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 16

{
  "enabled": true
}
{
  "message": "Request accepted"
}

Last updated

Was this helpful?